summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorThomas Vander Stichele <thomas@apestaart.org>2004-03-11 18:18:36 +0000
committerThomas Vander Stichele <thomas@apestaart.org>2004-03-11 18:18:36 +0000
commit5d57633278f94502e2cb48195edad3e3aab80a02 (patch)
tree922501eeec3fdbd1db8b6721100e52f57886770b /autogen.sh
parentd83150b709b4bf6dbca61a395d9871d56c643979 (diff)
this actually seems to work well
Original commit message from CVS: this actually seems to work well
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index b0051d2..bf86e1b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,8 +13,12 @@ then
cvs co common
fi
-# ensure that we have the dirs we put ext libs in to appease automake
-mkdir -p gst-libs/ext/ffmpeg/ffmpeg
+if test ! -d gst-libs/ext/ffmpeg;
+then
+ echo "+ getting ffmpeg from cvs"
+ cvs co mirror-ffmpeg
+fi
+
# source helper functions
if test ! -f common/gst-autogen.sh;
@@ -83,6 +87,12 @@ if test -f disable; then
done
fi
+# now, run ffmpeg's autogen
+echo "+ running autogen.sh in gst-libs/ext/ffmpeg"
+cd gst-libs/ext/ffmpeg
+sh autogen.sh || exit 1
+cd ../../..
+
test -n "$NOCONFIGURE" && {
echo "+ skipping configure stage for package $package, as requested."
echo "+ autogen.sh done."
@@ -100,4 +110,5 @@ echo
exit 1
}
+echo
echo "Now type 'make' to compile $package."